Package it.ernytech.tdlib

## Class TdApi.UpdateUserStatus

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateUserStatus

Enclosing class:
  TdApi

    public static class TdApi.UpdateUserStatus
    extends TdApi.Update

The user went online or offline.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.UserStatus` `status` New status of the user.
`int` `userId` User identifier.

### Constructor Summary

Constructors
`UpdateUserStatus()` Default constructor.
`UpdateUserStatus​(int userId, TdApi.UserStatus status)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### userId

    public int userId

User identifier.

#### status

    public TdApi.UserStatus status

New status of the user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateUserStatus

    public UpdateUserStatus()

Default constructor.

#### UpdateUserStatus

    public UpdateUserStatus​(int userId,
                            TdApi.UserStatus status)

Constructor for initialization of all fields.

Parameters:
  `userId` - User identifier.
  `status` - New status of the user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR